Subject: Re: Oldest supported Perl version

From: Jakub Narebski <[email-masked]>
Date: Mon, 20 Apr 2009 10:59:14 -0700 (PDT)

Jay Soffian <[email-masked]> writes:

> On Sun, Apr 19, 2009 at 9:58 PM, Junio C Hamano <[email-masked]> wrote:
> >
> > Now the real question was if we still support anything older, and if so
> > what is the bottom version?
> >
> > I certainly can go with "5.8.1 or later", but I vaguely recall during the
> > gitweb discussion we said anything without the utf-8 support is unusable
> > for gitweb, but I think we also said that the rest of the git codebase
> > should support running with something older (5.6.1, perhaps).

> So here's my take-away. For the *.perl scripts and gitweb, it's
> 5.8.0. For the test suite and Git.pm, all Perl versions are
> theoretically supported, but for practical purposes, it may be
> 5.6.0.

Errr... no.  For gitweb we require good Unicode support, which means
Perl 5.8.x (IIRC 5.8.1).  For all other: commands (and helpers)
written in Perl like git-svn, fragments of Perl in test suite (because
of incompatibility and corner cases of shell scripting) - with possible
exception of testing gitweb, and Git.pm (which some commands in Perl
use) I think it is reasonable to expect 5.6.0 at least.

> Whatever is decided this time, perhaps it should be burned into the tops of
> the *.perl scripts (i.e. "require 5.008;"). It should also be added to
> CodingGuidelines. You know, so this conversation doesn't keep recurring. :-)
> 
> j.

-- 
Jakub Narebski
Poland
ShadeHawk on #git